Subject: 27.0.50; Cursor doesn't blink (X window system)

From: Michael Heerdegen <[email-masked]>
Date: Fri, 30 Mar 2018 05:31:20 +0200

Hello,

I start emacs -Q (under openbox in X on Debian if it matters), and I get
an Emacs where the cursor doesn't blink.  Thankfully only on master but
not with an emacs-26 build.

The problem is simply that `blink-cursor-mode' is not turned on when
starting, but I can successfully enable it.

The reason is that at the moment the :init-value expression of
`blink-cursor-mode' is evaluated, `window-system' is bound to nil,
i.e. when installing the following:

>From befd2667396125748d6e9e0e15c5fc38f7846082 Mon Sep 17 00:00:00 2001
From: Michael Heerdegen <[email-masked]>
Date: Fri, 30 Mar 2018 04:25:00 +0200
Subject: [PATCH] WIP: test no-blinking-cursor

---
 lisp/frame.el | 10 ++++++----
 1 file changed, 6 insertions(+), 4 deletions(-)

diff --git a/lisp/frame.el b/lisp/frame.el
index fbf2f6e773..b07e2800ba 100644
--- a/lisp/frame.el
+++ b/lisp/frame.el
@@ -2357,10 +2357,12 @@ blink-cursor-mode
 
 This command is effective only on graphical frames.  On text-only
 terminals, cursor blinking is controlled by the terminal."
-  :init-value (not (or noninteractive
-		       no-blinking-cursor
-		       (eq system-type 'ms-dos)
-		       (not (memq window-system '(x w32 ns)))))
+  :init-value (progn
+                (message "window-system: %S" window-system)
+                (not (or noninteractive
+		         no-blinking-cursor
+		         (eq system-type 'ms-dos)
+                         (not (memq window-system '(x w32 ns))))))
   :initialize 'custom-initialize-delay
   :group 'cursor
   :global t
-- 
2.16.2

I get a *Messages* buffer like

| window-system: nil
| For information about GNU Emacs and the GNU system, type C-h C-a.

After starting up,

window-system
   ==> x

as expected.

Thanks,

Michael.

In GNU Emacs 27.0.50 (build 5, x86_64-pc-linux-gnu, GTK+ Version 3.22.29)
 of 2018-03-30 built on drachen
Repository revision: befd2667396125748d6e9e0e15c5fc38f7846082
Windowing system distributor 'The X.Org Foundation', version 11.0.11906000
System Description: Debian GNU/Linux buster/sid